Subject: bug#33257: 26.1; Emacs 26.1 crashes with SEGFAULT under markdown-mode while opening large file

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Nov 2018 17:41:53 +0200

> From: Dennis Mayr <[email-masked]>
> Date: Mon, 5 Nov 2018 00:18:36 -0300
> 
> Good evening Eli,
> 
> following a hunch, I went through all my dotfile hooks first.
> 
> It turned out that when I'm using the side `minimap (a-la-Sublime)`
> while editing in `markdown-mode`, I get a SEGFAULT.
> Reverted from Emacs 26.1 to Emacs 25.3.2, same thing.
> 
> When removing the `markdown-mode` hook from `minimap-major-modes`, no
> more SEGFAULT!
> 
> Therefore, something is going on between `minimap` and `markdown-mode`.
> I've reported the problem with the package maintainer.
> 
> All clear from the Emacs side.
> Thanks for your time!

You are welcome, but I still think it could be worthwhile to try to
reproduce the crashes, since Lisp programs should not in general cause
crashes.  If you can show a minimal .emacs file that allows to
reproduce the problem by visiting that file, please do.